Exchange XEXCH50 Remote Buffer Overflow

High Nessus Plugin ID 11889


The remote mail server is prone to a buffer overflow or denial of service attack.


The remote mail server appears to be running a version of the Microsoft Exchange SMTP service that is vulnerable to a flaw in the XEXCH50 extended verb. This flaw can be used to completely crash Exchange 5.5 or to execute arbitrary code on Exchange 2000.


Apply the one of the workarounds listed in the vendor's advisory.

See Also

Plugin Details

Severity: High

ID: 11889

File Name: exchange_xexch50_overflow.nasl

Version: $Revision: 1.27 $

Type: remote

Published: 2003/10/16

Modified: 2017/08/30

Dependencies: 10263

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2003/10/15

Exploitable With


Metasploit (MS03-046 Exchange 2000 XEXCH50 Heap Overflow)

Reference Information

CVE: CVE-2003-0714

BID: 8838

OSVDB: 2674

MSFT: MS03-046

MSKB: 323166